import request from '@/utils/request'

// 查询125R设备规格参数列表
export function listSpec125r(query) {
  return request({
    url: '/system/spec125r/list',
    method: 'get',
    params: query
  })
}

// 查询125R设备规格参数详细
export function getSpec125r(id) {
  return request({
    url: '/system/spec125r/' + id,
    method: 'get'
  })
}

// 新增125R设备规格参数
export function addSpec125r(data) {
  return request({
    url: '/system/spec125r',
    method: 'post',
    data: data
  })
}

// 修改125R设备规格参数
export function updateSpec125r(data) {
  return request({
    url: '/system/spec125r',
    method: 'put',
    data: data
  })
}

// 删除125R设备规格参数
export function delSpec125r(id) {
  return request({
    url: '/system/spec125r/' + id,
    method: 'delete'
  })
}
